src/Entity/Avatar.php
<?php

namespace App\Entity;

use App\Repository\AvatarRepository;
use DateTime;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=AvatarRepository::class)
 */
class Avatar
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\OneToOne(targetEntity=User::class, inversedBy="avatar", cascade={"persist", "remove"})
     * @ORM\JoinColumn(nullable=false)
     */
    private $user;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $image_name;

    /**
     * @ORM\Column(type="integer")
     */
    private $image_size;

    /**
     * @ORM\Column(type="datetime")
     */
    private $updatedAt;

    public function __construct()
    {
        $this->image_name = "/img/usersAvatars/avatar.png";
        $this->image_size = 4198;
        $this->setUpdatedAt(new DateTime("now"));
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getUser(): ?User
    {
        return $this->user;
    }

    public function setUser(User $user): self
    {
        $this->user = $user;

        return $this;
    }

    public function getImageName(): ?string
    {
        return $this->image_name;
    }

    public function setImageName(string $image_name): self
    {
        $this->image_name = $image_name;

        return $this;
    }

    public function getImageSize(): ?int
    {
        return $this->image_size;
    }

    public function setImageSize(int $image_size): self
    {
        $this->image_size = $image_size;

        return $this;
    }

    public function getUpdatedAt(): ?\DateTimeInterface
    {
        return $this->updatedAt;
    }

    public function setUpdatedAt(\DateTimeInterface $updatedAt): self
    {
        $this->updatedAt = $updatedAt;

        return $this;
    }
}

src/Controller/ProfilController.php
<?php

namespace App\Controller;

use App\Entity\User;
use App\Entity\Localisation;
use App\Form\ProfilEditType;
use App\Repository\UserRepository;
use App\Repository\AnnonceRepository;
use Doctrine\Persistence\ManagerRegistry;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;

/**s
 * <h2>ProfilController</h2>
 * <p>Un controller qui permet de diriger l'utilisateur à sa page utilisateur
 * et à l'édition du profil.</p>
 * @author Antonin Mougenot
 * 
 */
class ProfilController extends AbstractController
{

    /**
     * @Route("/profil/{user}", name="profil")
     *
     * <h3>Affichage du profil</h3>
     * <ul>
     * <li>@param $doctrine le gestionnaire d'entités</li>
     * <li>@param $pseudo le pseudo de l'user</li>
     * <li>@param $userRepository la table des utilisateurs de la bdd</li>
     * <li>@param $annonceRepo la table des annonces de la bdd</li>
     * </ul>
     * @return profil/index.html.twig page du profil de l'utilisateur connecté 
     */
    public function index(ManagerRegistry $doctrine, User $user, UserRepository $userRepository, AnnonceRepository $annonceRepo): Response
    {
        $repo = $doctrine->getRepository(Localisation::class);
        $localisation = $repo->findOneBy(['userLocalisation' => $user]);
        $annonces = $user->getAnnonces();

        if ($this->getUser() == $user) {
            return $this->render('profil/index.html.twig', [
                'localisation' => $localisation,
                'annonces' => $annonces
            ]);
        } else {
            return $this->render("bundles/TwigBundle/Exception/error403.html.twig");
        }
    }

    /**
     * @Route("/profil/edit/{id}", name="editProfil")
     *
     * <h3>Edition du profil</h3>
     * <ul>
     * <li>@param $doctrine le gestionnaire d'entités</li>
     * <li>@param $id l'id de l'utilisateur</li>
     * <li>@param $userRepository la table des utilisateurs de la bdd</li>
     * <li>@param $request créer une requête </li>
     * </ul>
     * @return profil/edit.html.twig page de l'édition du profil  de l'utilisateur
     */
    public function edit(UserRepository $users, ManagerRegistry $doctrine, int $id, Request $request, User $user): Response
    {
        /**
         * @var User $user
         */
        $user = $users->findOneBy(['id' => $id]);
        if (!$user) {
            throw $this->createNotFoundException(
                'No user found for id ' . $user->getId()
            );
        }
        $form = $this->createForm(ProfilEditType::class, $user);
        $entityManager = $doctrine->getManager();
        $form->handleRequest($request);
        if ($user->getPseudo() != $form->getData()->getPseudo()) {
            if ($form->isSubmitted() && $form->isValid()) {
                $user->setPseudo($form->getData()->getPseudo());
            }
        }
        if ($form->isSubmitted() && $form->isValid()) {
            $user->setNom($form->getData()->getNom());
            $user->setPrenom($form->getData()->getPrenom());
            $user->setEmail($form->getData()->getEmail());
            $user->setAvatar($form->getData()->getAvatar());
            $entityManager->flush();

            return $this->redirectToRoute("profil", [
                "pseudo" => $user->getPseudo(),
                "users" => $user,
                "localisation" => $user->getLocUser(),
                'annonces' => $user->getAnnonces()
            ]);
        }

        return $this->render('profil/edit.html.twig', [
            'form' => $form->createView()
        ]);
    }
}

templates/profil/edit.html.twig
{% extends "base.html.twig" %}
{% block body %}
	<div class="annonceForm_container">
		<h1 class="container__title">
			Edition de profil
		</h1>
		{{ form_start(form) }}
		{{ form_row(form.email)}}
		{{ form_row(form.pseudo)}}
		{{ form_row(form.nom)}}
		{{ form_row(form.prenom)}}
		{{ form_row(form.avatar)}}
		{{ form_end(form) }}
	</div>
{% endblock %}

templates/profil/index.html.twig
{% extends 'base.html.twig' %}

{% block title %}Profil
{% endblock %}

{% block body %}

	<div class="profile">
		<div class="imagePro">
			<img src="/img/usersAvatars/{{ app.user.avatar.imageName }}"/>
			<h4>{{app.user.pseudo}}</h4>
		</div>
		<div class="desc">
			<h2>Description</h2>
			<p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Assumenda itaque iure at accusantium nemo quibusdam cumque voluptatem alias labore blanditiis. Laudantium recusandae optio culpa iste dignissimos sit hic quisquam quod!</p>

			<h2>Vos adresses</h2>
			<p>
				{{ localisation.rue }}
				{{ localisation.codePostal }}
				{{ localisation.ville }}
			</p>
			<a href="{{ path('localisation') }}">
				<button type="button" class="btn_fixed_width">Modifier les localisation</button>
			</a>
		</div>
	</div>
	<a href="{{ path('editProfil', {id: app.user.id}) }}">
		<button type="button" class="btn_fixed_width">Modifier le profil</button>
	</a>
	<h2>Vos Annonces</h2>
	<div class="container">
		<div class="row align-items-center justify-content-center">
			{{ include('annonce/_card.html.twig') }}
		</div>
	</div>
{% endblock %}